Name:           gpx-viewer
Version:        0.3.0
Release:        2%{?dist}
Summary:        A simple gpx viewer

Group:          Applications/Productivity
License:        GPLv2+
URL:            https://edge.launchpad.net/gpx-viewer
Source0:        http://edge.launchpad.net/gpx-viewer/trunk/0.2.0/+download/%{name}-%{version}.tar.gz
# Fix desktopdir path
# http://bazaar.launchpad.net/~chkr/gpx-viewer/gpx-viewer/revision/261
Patch0:         %{name}-0.3.0-desktopdir.patch
# Fix syntax error in desktop file and add "Maps" category
# http://bazaar.launchpad.net/~chkr/gpx-viewer/gpx-viewer/revision/262
# http://bazaar.launchpad.net/~chkr/gpx-viewer/gpx-viewer/revision/263
Patch1:         %{name}-0.3.0-desktopfile.patch
# Enhance usability:
# - display track automatically after opening the gpx file
# - better handling of side pane
Patch2:         %{name}-0.3.0-usability.patch
# Add missing gpx-viewer.vapi, needed for re-compilation
# of vala sources
Patch3:         gpx-viewer-0.3.0-vapi.patch
# Fix wrong position of markers with newer libchamplain
# http://bazaar.launchpad.net/~chkr/gpx-viewer/gpx-viewer/revision/264
Patch4:         gpx-viewer-0.3.0-marker-pos.patch
# Ported from http://bazaar.launchpad.net/~gpx-viewer-team/gpx-viewer/main/revision/260
Patch5:         gpx-viewer-0.3.0-gtk-compile.patch

BuildRequires:  gtk2-devel
BuildRequires:  libchamplain-devel
BuildRequires:  libchamplain-gtk-devel
BuildRequires:  vala-devel
BuildRequires:  libxml2-devel
BuildRequires:  libgdl-devel
BuildRequires:  unique-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  autoconf libtool

Requires:       hicolor-icon-theme
Requires:       shared-mime-info


%description
GPX Viewer is a simple tool to visualize tracks and waypoints
stored in a gpx file.

It has the following features:
- Show multiple GPX files
- Height map
- Show waypoints and multiple tracks per gpx file
- Highlight selected track
- Show speed vs time graph
- Show distance, duration, average, moving average, max speed,
  moving time and gps points
- Zooming
- Smoothing of speed graph
- Playback of track
- Highlighting points in speed graph on map


%prep
%setup -q
%patch0 -p0 -b.desktopdir
%patch1 -p0 -b.desktopfile
%patch2 -p0 -b.usability
%patch3 -p1 -b.vapi
%patch4 -p0 -b.markerpos
%patch5 -p0 -b.compilefix
libtoolize -f 
intltoolize -f
autoreconf -f 

%build
%configure --disable-database-updates
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%post
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/gpx-viewer.xml

%changelog
* Sun Sep 22 2013 Christian Krause <chkr@fedoraproject.org> - 0.3.0-2
- Fix position of markers (for libchamplain >= 0.12.4)

* Fri Sep 20 2013 Christian Krause <chkr@fedoraproject.org> - 0.3.0-1
- Unretire gpx-viewer (#1008701)
- Update to 0.3.0
- Minor cleanup

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.2.0-6
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct  4 2010 Bill Nottingham <notting@redhat.com> - 0.2.0-3
- Fix build
- drop mesa-drivers-dri-experimental buildreq

* Mon Sep 06 2010 Fabian Affolter <fabian@bernewireless.net> -0.2.0-2
- Patch for configure is still needed

* Mon Sep 06 2010 Fabian Affolter <fabian@bernewireless.net> -0.2.0-1
- Changed URL to new project home
- Added new BRs
- Patches removed
- Updated to new upstream version 0.2.0

* Fri Jul 09 2010 Fabian Affolter <fabian@bernewireless.net> -0.1.2-3
- Rebuild for libchamplain

* Mon Mar 15 2010 Fabian Affolter <fabian@bernewireless.net> -0.1.2-2
- Added patch to fix DSOLinking (#565157)

* Wed Nov 18 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.2-1
- Updated to new upstream version 0.1.2

* Sat Oct 10 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-2
- Added patches to make it work with new libchamplain

* Wed Sep 09 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-1
- Updated to new upstream version 0.1.1

* Fri Aug 14 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.0-1
- Updated source URL
- Updated to new upstream version 0.1.0

* Thu Aug 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.7-2
- Fixed BR

* Mon Jul 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.7-1
- Updated to new upstream version 0.0.7

* Mon Jul 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.5-1
- Initial spec for Fedora
